Subject: Re: bug#16062: 24.3; Missing .png file gives poor error message when opened

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 20 Aug 2020 20:10:45 +0200

Alex Willisson <[email-masked]> writes:

> When I try to open a .png file which does not exist, I get the error
> message "Cannot display image: (Cannot determine image type)" in the
> minibuffer, instead of something more related to "File does not exist"
>
> Steps for reproduction:
>
> $ emacs -Q
>
> C-x C-f not_an_actual_file.png <return>

I've now fixed this for Emacs 28 -- it now says there's no image data
present instead of the confusing error message about image types.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no